package com.steering.pss.sale.order.qualityDesign.model;

public class ComBaseGradeEntity {
	/**
	 * 钢种代码(GZ0001)
	 */
	private String gradecode = "";
	/**
	 * 钢种名称
	 */
	private String gradename = "";
	/**
	 * 钢种分类代码(4002)
	 */
	private String assortmentCode = "";
	/**
	 * 钢种分类名称
	 */
	private String assortmentName = "";
	/**
	 * 钢种系数
	 */
	private String coefficient = "";
	/**
	 * 创建人
	 */
	private String createName = "";
	/**
	 * 创建时间
	 */
	private String createTime = "";
	/**
	 * 修改人
	 */
	private String updateName = "";
	/**
	 * 修改时间
	 */
	private String updateTime = "";
	/**
	 * 删除人
	 */
	private String deleteName = "";
	/**
	 * 删除时间
	 */
	private String deleteTime = "";
	/**
	 * 有效标志(1:有效，0:无效)
	 */
	private String validflag = "";
	/**
	 * 备注
	 */
	private String memo = "";
	/**
	 * {老系统}钢种代码(GZ0001)
	 */
	private String gradecodeOld = "";
	/**
	 * 是否允许外购(1:允许；0:不允许)
	 */
	private String allowBuy = "";

	/**
	 * 钢种代码(GZ0001)
	 * 
	 * @return value
	 */
	public String getGradecode() {
		return gradecode;
	}

	/**
	 * 钢种代码(GZ0001)
	 * 
	 * @param gradecode
	 *            value
	 */
	public void setGradecode(String gradecode) {
		this.gradecode = gradecode;
	}

	/**
	 * 钢种名称
	 * 
	 * @return value
	 */
	public String getGradename() {
		return gradename;
	}

	/**
	 * 钢种名称
	 * 
	 * @param gradename
	 *            value
	 */
	public void setGradename(String gradename) {
		this.gradename = gradename;
	}

	/**
	 * 钢种分类代码(4002)
	 * 
	 * @return value
	 */
	public String getAssortmentCode() {
		return assortmentCode;
	}

	/**
	 * 钢种分类代码(4002)
	 * 
	 * @param assortmentCode
	 *            value
	 */
	public void setAssortmentCode(String assortmentCode) {
		this.assortmentCode = assortmentCode;
	}

	/**
	 * 钢种分类名称
	 * 
	 * @return value
	 */
	public String getAssortmentName() {
		return assortmentName;
	}

	/**
	 * 钢种分类名称
	 * 
	 * @param assortmentName
	 *            value
	 */
	public void setAssortmentName(String assortmentName) {
		this.assortmentName = assortmentName;
	}

	/**
	 * 钢种系数
	 * 
	 * @return value
	 */
	public String getCoefficient() {
		return coefficient;
	}

	/**
	 * 钢种系数
	 * 
	 * @param coefficient
	 *            value
	 */
	public void setCoefficient(String coefficient) {
		this.coefficient = coefficient;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 删除人
	 * 
	 * @return value
	 */
	public String getDeleteName() {
		return deleteName;
	}

	/**
	 * 删除人
	 * 
	 * @param deleteName
	 *            value
	 */
	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	/**
	 * 删除时间
	 * 
	 * @return value
	 */
	public String getDeleteTime() {
		return deleteTime;
	}

	/**
	 * 删除时间
	 * 
	 * @param deleteTime
	 *            value
	 */
	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/**
	 * {老系统}钢种代码(GZ0001)
	 * 
	 * @return value
	 */
	public String getGradecodeOld() {
		return gradecodeOld;
	}

	/**
	 * {老系统}钢种代码(GZ0001)
	 * 
	 * @param gradecodeOld
	 *            value
	 */
	public void setGradecodeOld(String gradecodeOld) {
		this.gradecodeOld = gradecodeOld;
	}

	/**
	 * 是否允许外购(1:允许；0:不允许)
	 * 
	 * @return value
	 */
	public String getAllowBuy() {
		return allowBuy;
	}

	/**
	 * 是否允许外购(1:允许；0:不允许)
	 * 
	 * @param allowBuy
	 *            value
	 */
	public void setAllowBuy(String allowBuy) {
		this.allowBuy = allowBuy;
	}
}
